
:root {
	--col-background: #080808d8;
}

html {
	background-color: #090909;
}

/* Base pattern layer */
html::before {
	background: url("/_img/stars.webp") repeat;
}

/* Animated flickering layer */
html::after {
	background: url("/_img/stars_mirrored.webp") repeat;

	animation: Bkg 15s infinite linear;
}

body::before {
	--col-grad-inner: #00000000;
	--col-grad-outer: #00000064;

	z-index: -1;
	
	background: radial-gradient(circle, var(--col-grad-inner), var(--col-grad-outer));
}

.src {
	margin-bottom: 0.75em;
	opacity: 0.8;
}

fieldset {
    margin: 1em;
	border: 1px dotted var(--col-main-a075);
	border-radius: var(--corner-radius);
    background-color: var(--col-background);
}
@media (orientation: portrait) {
	fieldset {
		text-align: center;
	}
}

p label {
	display: inline-block;
	min-width: 50%;
	text-align: right;
}
@media (orientation: portrait) {
	p label {
		display: block;
		text-align: center;
	}
}

label.radio {
	display: grid;
	grid-template-columns: 1em auto;
	gap: 0.33em;
	align-items: center;
	justify-content: center;

	transition: var(--transition-speed-fast);

	&:hover {
		cursor: pointer;
		color: var(--col-highlight);
	}
}

input[type="radio"] {
	appearance: none;

	display: grid;
	place-content: center;

	font-size: var(--font-size);
	width: 0.75em;
	height: 0.75em;

	background-color: var(--col-highlight-dark);
	border: 1px solid var(--col-main-a075);
	border-radius: 50%;

	&::before {
		content: "";

		width: 0.4em;
		height: 0.4em;

		border-radius: 50%;
		box-shadow: inset 1em 1em var(--col-main);

		transform: scale(0);
		transition: var(--transition-speed-fast);
	}

	&:checked::before {
		transform: scale(1);
	}

	&:hover {
		cursor: pointer;
	}
}

input[type="number"], select
{
	width: 9em;

	color: var(--col-highlight);
	background-color: var(--col-highlight-dark);

	border: 1px solid var(--col-main-a075);
	border-radius: var(--corner-radius);

	transition: var(--transition-speed-fast);

	&:hover {
		border-color: var(--col-highlight);
	}
}

select {
	width: 4em;
	background-color: #0000007f;
	cursor: pointer;
}